curl --request POST \
--url https://int-api.mx.com/users \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"email": "example@example.com",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"type\\\": \\\"individual\\\", \\\"status\\\": \\\"preferred\\\"}"
}
}
'import requests
url = "https://int-api.mx.com/users"
payload = { "user": {
"email": "example@example.com",
"id": "My-Unique-ID",
"is_disabled": False,
"metadata": "{\\"type\\": \\"individual\\", \\"status\\": \\"preferred\\"}"
} }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
user: {
email: 'example@example.com',
id: 'My-Unique-ID',
is_disabled: false,
metadata: '{\"type\": \"individual\", \"status\": \"preferred\"}'
}
})
};
fetch('https://int-api.mx.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"email": "example@example.com",
"guid": "USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
}
}Create user
guid that you’ll set as the user_guid in other requests when required. Disabling a user means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user’s data until they are no longer disabled.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Body
User object to be created. (None of these parameters are required, but the user object cannot be empty)
Hide child attributes
Hide child attributes
The email address associated with the account.
"example@example.com"
The unique partner-defined identifier for the user.
"My-Unique-ID"
Indicates whether the user has been disabled. Defaults to false.
false
Additional information you can store about the user.
"{\\\"type\\\": \\\"individual\\\", \\\"status\\\": \\\"preferred\\\"}"
Response
OK
Hide child attributes
Hide child attributes
The email address associated with the account.
"example@example.com"
The unique identifier for the user. Defined by MX.
"USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
The unique partner-defined identifier for the user.
"My-Unique-ID"
Indicates whether the user has been disabled. Defaults to false.
false
Additional information you stored about the user.
"{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"

